Bug 1197955 - [WildFly] IllegalStateException: UT000010: Session not found
[WildFly] IllegalStateException: UT000010: Session not found
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-Logic (Show other bugs)
3.6
Unspecified Unspecified
unspecified Severity high
: ---
: 3.7
Assigned To: Sean Flanigan
Damian Jansen
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-02 22:29 EST by Damian Jansen
Modified: 2015-07-21 22:19 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3.7.0-SNAPSHOT
Doc Type: Bug Fix
Doc Text:
Story Points: 2
Clone Of:
Environment:
Last Closed: 2015-07-21 22:19:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damian Jansen 2015-03-02 22:29:35 EST
Description of problem:
Logging out causes an exception.

Version-Release number of selected component (if applicable):
3.7.0-snapshot

How reproducible:
Often, easy

Steps to Reproduce:
1. Log in
2. Log out

Actual results:
Error processing request
Context Path:/zanata
Servlet Path:/home.seam
Path Info:null
Query String:null
Stack Trace
java.lang.IllegalStateException: UT000010: Session not found pNX8iHjW4LWKodtr3KGw988Z
io.undertow.server.session.InMemorySessionManager$SessionImpl.getAttributeNames(InMemorySessionManager.java:329)
io.undertow.servlet.spec.HttpSessionImpl.getFilteredAttributeNames(HttpSessionImpl.java:139)
io.undertow.servlet.spec.HttpSessionImpl.getAttributeNames(HttpSessionImpl.java:134)
com.sun.faces.context.SessionMap.getKeyIterator(SessionMap.java:211)
com.sun.faces.context.BaseContextMap$KeySet.iterator(BaseContextMap.java:181)
...

Expected results:
Homepage is shown

Additional info:
Found using functional tests
Comment 1 Sean Flanigan 2015-03-03 21:51:38 EST
See Also: https://issues.jboss.org/browse/WFLY-3529
Comment 2 Sean Flanigan 2015-03-24 03:10:09 EDT
Going by https://issues.jboss.org/browse/WFLY-3529?focusedCommentId=13047218&page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#comment-13047218 , upgrading the version of Undertow to 1.2.0.Beta10 may help.  We would have to package it up as a wildfly module.
Comment 3 Sean Flanigan 2015-04-06 22:48:05 EDT
This actually seems to happen on all sorts of operations, including REST requests, not just logouts.
Comment 6 Sean Flanigan 2015-05-10 22:28:39 EDT
See https://github.com/zanata/zanata-server/pull/784 (WildFly 9 upgrade)

WildFly 9 already includes Undertow 1.2.x, so there's no need for the Undertow module I packaged.
Comment 7 Damian Jansen 2015-05-12 18:33:25 EDT
Verified (master) at 485f1b54ca0b5467e58760091dccc2a0da71dc94

Note You need to log in before you can comment on or make changes to this bug.